﻿using Connected.Net;

namespace Connected.Net
{
	internal class HttpService : IHttpService
	{
		public HttpService(IHttpClientFactory factory)
		{
			Factory = factory;
		}

		private IHttpClientFactory Factory { get; }

		public HttpClient CreateClient()
		{
			return Factory.CreateClient();
		}
	}
}
